Читать и писать в тот же netcat на подключение TCP

Если у вас есть дисков Seagate вы можете бесплатно скачать драйвера отсюда: драйвер Парагон для Мак ОС

+819
Lexxusss 15 мар. 2020 г., 00:49:54
19 ответов

Я изучаю особенности вредоносных PDF-файлов. Я использую оболочку Python из pdfinfo, чтобы извлечь некоторые функции, такие как размер файла и размер страницы кодекса. Это фантик части Кодекса.

 деф pdfinf(входной_файл):
 команду cmd = '/usr/Бен/pdfinfo'
 если не ОСП.существует(УМК):
 поднять RuntimeError (система команду не найден: %s' % УМК)
 если не ОСП.существует(входной_файл):
 поднять RuntimeError (предоставили исходный файл не найден: %s' % входной_файл)

 деф _extract(строки):
 """Извлекает правой руке значение : разделителями строк"""
 возвращение строки.сплит(':', 1)[1].полосы()

 вывод = {}

 лейблы = ['название', 'автор', 'создатель', 'продюсер', 'дата создания',
 'Дата редактирования', 'Меченый', 'страницы', 'зашифрованы', 'размер',
 'Размер файла', 'оптимизация', 'в формате PDF']

 cmd_output = подпроцесса.check_output([УМК, входной_файл])
 для линии в cmd_output.splitlines():
 для метки в этикетки:
 если метки в строке:
 выход[метка] = _extract(линия)
 возврат выход

Ла = ЛБ = 0

для файлов в malware_files:
 путь = "/домашний/Хима/загрузки/данные/mpdfs/" + файлы
 вывод = pdfinf(путь)
 значение = выход['размер']
 значение = значение[:-6]
 ЛБ += поплавок(значения)

Тем не менее, я продолжаю получать ошибки, такие как эти.

Синтаксическая ошибка: не могу найти трейлер словарь
Синтаксическая ошибка (6689): отсутствует 'endstream или неправильной длины потока 
Синтаксическая ошибка (15795): отсутствует 'endstream или неправильный поток длина
Синтаксическая ошибка: не могу найти трейлер словарь
Синтаксическая ошибка: не могу найти трейлер словарь
Синтаксическая ошибка: не удалось прочитать внешняя ссылка таблица
Обратная трассировка (самый недавний призыв последнего):
 Файл "code.py", строка 67, в <модуль>
 вывод = pdfinf(путь)
 Файл "code.py" в строке 50, в pdfinf
 cmd_output = подпроцесса.check_output([УМК, входной_файл])
 Файл "/usr/lib/python2.7/subprocess.py" линия 574, в check_output
 поднять CalledProcessError(retcode, УМК, выход=выход)
подпроцесс.CalledProcessError: команда '['/usr/Бен/pdfinfo', '/дома/Хима/загрузки/данные/mpdfs/c9954f5f3fbfb3b150abe208c763d942043bfc0f.в формате PDF']' возвращается ненулевой статус выхода 1

Как я могу извлечь эти функции, если код не будет выполняться на вредоносный файл? Я хочу, чтобы проанализировать эти функции, как я думаю, что если удастся найти связь. Есть ли альтернатива pdfinfo, что я могу позвонить через shell или используя оболочки в Python?

+959
Caio Borges 03 февр. '09 в 4:24

Мне нужна помощь. У меня есть Макбук.

У меня есть новый аккумулятор. Он имеет только 21 циклов в нем. Из ниоткуда он перестал заряжаться. Я проверил мое состояние батареи и он показал, как не заряжается. (Более конкретно "зарядка: Нет"). Так что мне нужно использовать его подключить. Я попытался СМЦ перезапуск и многие другие варианты, которые я нашел здесь и в других местах в интернете.

У кого-нибудь есть решение или идея о том, что я мог сделать? Спасибо!

Да, я пробовал с 2 разных зарядных устройств.

Обновление: я только что закончил разговор с Mac помощь и они также заставили меня нажать другую комбинацию клавиатуры: сила + шифт + команд + Р + I + R (или нечто подобное) и система перезагружается. Но это не помогло.

Here's a screenshot:

+943
Patreece 17 окт. 2022 г., 13:11:07
Другие ответы

Связанные вопросы


Похожие вопросы

Я постараюсь быть как можно короче с моей проблемой. Не стесняйтесь задавать для журналов или информация о моем компьютере и/или программы.

У меня есть игра, которая состоит из корабля, который переходит на пространство. Друг и я программируете эту игру. Проблема заключается в выполнение и отладка программы на моем компьютере (с MBP 15" Бегущий лагерь) скорость игры глубоко ускоряется и цвет пространство становится ярко-красной, а не черной.

Мы пробовали несколько вещей с водителями (все обновлены до самой последней) и играться с видеокартой (вертикальная синхронизация, сглаживание, тесселяция, анизотропная бла бла), но безрезультатно.

Я бегу лагерь на МБП 15" с помощью Windows 7.

ОС: Windows 7 профессиональная 64 разрядной версии Visual Studio 2010 и XNA на 4.0

Видеокарта-это видеокарта amdradeon серии 6600M и 6700M

Этот вопрос уже был задан вопрос на переполнение стека без успеха.

+939
objc3p0 3 сент. 2010 г., 03:40:40

Пулао-это обычно "сухое" блюдо без подливы/соуса осталось в нем, когда он заканчивает приготовления пищи. Если рис кажется должен быть полностью приготовленные и отдельные зерна не представляется недоваренная или слегка хрустящими, то я думаю, что это, наверное, правильно.

Многие люди служат раита (я как простой йогурт-лук-помидор смешать с порошком чили и солью) и зелень кинзы чатни вместе с пулао или бирьяни, который помогает сделать общее впечатление более менее сухой. Обычно я готовлю маринад так же сделать подливу/Салан служить на стороне, когда я делаю куриные biryani.

+923
xavier perarnau 19 окт. 2011 г., 20:05:10

Возможно, попробуйте подключить к USB-концентратору без питания? Я не могу гарантировать, что это поможет, но это может сработать.

+850
Kris Burke 4 сент. 2021 г., 21:38:13

В надувном замке библиотека предоставляет поддержку для всех языков на Java виртуальной машины

Этой библиотеке (и теперь производная библиотека называется губчатой замок) используется в BitCoinJ библиотека.

Библиотека надувной замок, к сожалению, очень плохо реализована в Android, которые приводят к код конфликтами, которые необходимы сложные обходные пути. Губчатая замок решены те проблемы, что делает Java и Android версии работают гораздо чистоплотнее друг с другом.

Есть интересные обсуждения по выбору названием secp256k1 Сатоши на форумах.

На языках в настоящее время поддерживает JVM включает в себя (цитирую):

  • Ява
  • Clojure, функционального диалект Лиспа
  • Груви, язык сценариев
  • Скала, объектно-ориентированный и функциональный язык программирования
  • Сценарий JavaFX, язык сценариев, ориентированных на богатых доменное интернет-приложений (прекращен 2010)
  • Последние, реализация Рубин
  • Языка Jython, реализация Python
  • Носорог, реализация на JavaScript
  • В AspectJ, аспектно-ориентированное расширение языка Java
+802
Priyanka S 26 сент. 2017 г., 15:23:06

Я скачал несколько приложений из iTunes и он показывает, как загруженные в iTunes, но не появится в Launchpad или Finder. Я пробовал открыть их в iTunes или перетаскивая их в Finder или на рабочем столе, но они отображаются как файлы. Как открыть и использовать эти приложения?

+590
gophereatingapickle 14 июл. 2017 г., 21:26:17

У меня есть скрипт, который связывает выход из двух разных переменных. Вопрос в том, что выход обоих переменных содержит несколько строк. Таким образом, на выходе не то, что я ожидал.

Первой переменной и вывод:

snap_daily=`кошка тест-для-д-р snaps.txt | команда grep | у awk '{печати 2$}' | е с/[",]//г' | ООО 'З/тест-по-лу-//г"

2017-03-10-08-00
2017-03-10-11-00
2017-03-10-12-00
2017-03-10-14-00
2017-03-10-15-00

Вторая переменная и выход:

snap_prefix=`кошка snaps.txt | грэп тест-для-Д | у awk '{печати $2}' | е с/[",]//г' | на awk -Ф '2017' '{печати $1}'

тест-для-д-р-
тест-для-д-р-
тест-для-д-р-
тест-для-д-р-
тест-для-д-р-

Код для конкатенации и результат:

snap_name="$snap_prefix$snap_daily"

 тест-для-д-р-bdmprest - тест-для-д-р-bdmprest - тест-для-д-р-bdmprest - тест-для-д-р-bdmprest - тест-для-д-р-bdmprest-2017-03-10-08-00 2017-03-10-11-00 2017-03-10-12-00 2017-03-10-14-00 2017-03-10-15-00

Желаемый Результат:

тест-для-д-р-2017-03-10-08-00
тест-для-д-р-2017-03-10-11-00
тест-для-д-р-2017-03-10-12-00
тест-для-д-р-2017-03-10-14-00
тест-для-д-р-2017-03-10-15-00

По сути, мне нужно в каждой строке, в соответствии с каждой соответствующей строке.

+557
kelvinclein11 14 мая 2017 г., 17:53:09

Я бегу Raspbian на мой Raspberry Pi я просто создал этот день, проблема заключается в том, что каждый раз, когда я пытаюсь установить любой пакет, я получаю сообщение об ошибке , например, судо apt-получить установку самбы дает мне :

Следующие пакеты имеют неудовлетворенные зависимости: 
пакетов libc6 : зависит: libgcc1, но он не будет установлен 
Самба : зависит: Самба-общее (= 2:3.6.6-6+deb7u4) но он не будет установлен
 Зависит: libwbclient0 (= 2:3.6.6-6+deb7u4) но он не будет установлен 
 Зависит: libacl1 (>= 2.2.51-8), но он не будет установлен 
 Зависит: libattr1 (>= 1:2.4.46-8), но он не будет установлен 
 Зависит: libcap2 (>= 2.10), но он не будет установлен 
 Зависит: libcomerr2 (>= 1.01), но он не будет установлен 
 Зависит: libcups2 (>= 1.4.0) но он не будет установлен
 Зависит: libgcc1 (>= 1:4.4.0) но он не будет установлен 
 Зависит: libgssapi-krb5 из-2 (>= 1.10+смотрите~) но он не будет установлен 
(...)
Попытайтесь выполнить 'apt-получить -установить Ф' без упаковки (или указать решения).

Так что я пытался сделать команду sudo apt-получить -Ф установить, но это дало мне :

 $ судо apt-получить -Ф установите 
 Чтение списков пакетов... готово 
 Построение дерева зависимостей 
 Чтение информации о состоянии... готово 
 Исправление зависимостей... сделано

 Следующие дополнительные пакеты будут установлены:
libgcc1

 Следующие новые пакеты будут установлены: 
libgcc1

 Обновлено 0, 1 установлено новых, 0 для удаления, и 0 пакетов не обновлено. 2 не полностью установлены или удалены. 
 Нужно получить 0 б/54.2 КБ архивов. Продолжить [д/н]? г 

 Использование неинициализированных значение $value в Замена (С///) в /usr/доли/perl5/с debconf/формат/822.линия ТЧ 65, строка 1. 
 Использование неинициализированных значение $элемента в хэш-элемент в /usr/доли/perl5/с debconf/DbDriver/файл.линия часов 85, блок 1. 
 Использование неинициализированных значение $value в Замена (С///) в /usr/доли/perl5/с debconf/формат/822.линия ТЧ 65, строка 1. 
 Использование неинициализированных значение $элемента в хэш-элемент в /usr/доли/perl5/с debconf/DbDriver/файл.линия часов 85, блок 1.

 Е: невозможно определить версию debconf. Он установлен? 
 в debconf: АПТ-extracttemplates не удалось: Нет такого файла или каталога
 с dpkg: о .../libgcc1_1%3а4.8.2-21~rpi3rpi1_armhf.деб, содержащих libgcc1:языка, предварительная зависимость проблема: libgcc1 предварительно зависит от мультиархитектурный-поддержка, мульти-архитектурности-поддержка распаковки, но никогда не был настроен.

 с dpkg: ошибка при обработке в /var/кэш/АПТ/архив/libgcc1_1%3а4.8.2-21~rpi3rpi1_armhf.деб (--распаковать): проблема предварительных зависимостей - не установка libgcc1:языка
 Ошибки возникли при обработке: в /var/кэш/АПТ/архив/libgcc1_1%3а4.8.2-21~rpi3rpi1_armhf.деб 

 Е:суб-процесс /usr/бен/с dpkg вернул код ошибки (1)

Я потом пытался выяснить, как исправить эти ошибки и я оказался здесь : http://www.raspberrypi.org/forums/viewtopic.php?f=28&t=48737

Так что я последовал за следующие действия : https://askubuntu.com/questions/55099/dpkg-error-parsing-file-var-lib-dpkg-available-near-line-0

Потому что, казалось, работали для другого парня, но он по-прежнему дает мне те же ошибки, похоже, что-то не так с руководством пакета, кто-нибудь знает, как я бы это исправить ?

+552
user139299 27 сент. 2019 г., 08:42:52

Вы-это нормально, если основным пунктом назначения является Италия.

Если заявитель планирует посетить две или больше стран Шенгенского соглашения, то настоятельно рекомендуем обратиться за визой в посольство/консульство страны, в которой вы будете проживать в течение всего путешествия дней, называют основным направлением.

Поскольку вы останавливаетесь на большую часть времени в Италии, первого въезда не обязательно должна быть в Италии и приехав в Германию-это совершенно нормально.

+550
snakecharmerb 30 июн. 2013 г., 11:15:49

У меня есть локальная база данных MySQL на сервере CentOS, которая вызывает массу груза, потому что есть много запросов к нему. Я хочу, чтобы она принимала на своем собственном сервере, но я не хочу каждый bruteforcer там ответили (даже отрицательно). Есть ли способ, чтобы разрешить доступ к порту 3306 только 3 - 4 ИПС, с помощью iptables?

+496
user1876628 5 февр. 2014 г., 17:10:36

Я имел эту проблему и первый перешел на драйвер, исправлено отображение моего ноутбука в стиле модерн, но не позвольте мне подключить второй монитор. Я исправил эту проблему работает:

команды sudo в Ubuntu-драйверы устройств

который показал, что драйвер Nvidia был рекомендован. драйвера : для NVIDIA-драйвера-390 - дистро не рекомендуется драйвера : пакет xserver-xorg, с-видео-нуво - бесплатный дистрибутив встроенные

Тогда я побежал

команды sudo в Ubuntu-драйверы автоматической установки

который установлен и используется драйвер Nvidia. После перезагрузки судо команду shutdown-r теперь он работал!

Это сообщение я следовал , чтобы получить эти инструкции.

+478
Ahmad Khalid 18 сент. 2017 г., 03:32:05

Недавно я наткнулся на яблоко 27" кино дисплей HD, который является 2560x1600 и подключается через DVI. У меня довольно мощный игровой ПК, Видеокарта Видеокарта 770, и i5-6600k, SSD и 16 ГБ оперативной памяти. Я наверняка есть оборудование, способен управлять данный монитор.

Когда я загрузиться в Windows, я могу использовать этот монитор Apple просто отлично. Он работает в своем родном разрешении 2560x1600 и отображает контент с частотой 60 Гц и полном цвете.

Однако, когда я загрузить мой Xubuntu в 18.04 Linux, в любое время у меня этот монитор подключен, файл xorg замедляется и остается такой до перезагрузки. Это безумно медленно, курсор мыши замирает на несколько секунд, а приложения принимают навсегда, чтобы загрузить. Иногда появляется сильно искаженный образ свой первый монитор на экране, несмотря на дисплей значение "продлить". Если я отключаю монитор Apple и перезагрузка, затем моя ОС работает нормально, но опять срывается, когда я подключить его обратно.

enter image description here

Я в состоянии нажать сочетание клавиш Ctrl+АЛТ+Ф1 и запуска при посмотреть файл xorg полом на 100% загрузку процессора. Помимо наблюдения за проблема я не знаю, что я могу сделать, чтобы это исправить.

Я использую проприетарный драйвер Nvidia для моей GTX 770 с графикой-драйверы 18.04 ППА.

+382
lildadou 30 мар. 2014 г., 20:23:49

Да.

На ICS этот параметр можно найти в

Настройки -> Беспроводные сети -> еще.. -> Режим модема -> USB-модем

Я думаю, что это должно быть на том же месте на желе. Обратите внимание, что вам нужно устройство с чипом сотовой данных для этой функции. Устройства без (например Нексус 7) не показывают этот параметр.

Модем поддержка USB была добавлена с 2.2 (Фройо) релиз

+365
lafdez 21 июл. 2020 г., 16:20:27

Я постоянно получаю смс от короткого номера СМС просишь меня заполнить анкету, или ответить "стоп", чтобы перестать получать эти сообщения. Но когда я отвечаю "стоп", Android дает мне сообщение:

это может вызвать обвинения в свой мобильный счет

Я сделал поиск Google для этого послания и нашли один конкретный сервис, который сказал, что это относится к любой заряд ваш провайдер оценивает для отправки текстов, поэтому с неограниченным текстовых сообщений было бы и без дополнительной оплаты. Но номер, который посылает мне это сообщение не является услугой веб-сайта имеет в виду, и я хочу убедиться, что я не взимаются дополнительные суммы просто отказаться.

Есть некоторые места я могу сделать запрос на номер, который пишет мне, чтобы увидеть, если там будет платным и если да, сколько? Я ответил на другие короткие номера, прежде чем, не получив это сообщение, так что я предполагаю, что там должно быть что-то по этому номеру, что мне нужно беспокоиться.

+345
cisco 27 янв. 2011 г., 17:10:34

ставит , кажется, игнорирует журнала для меня (жду версии 5.45 в Debian 8):

$ > logtest; ждем-с logtest 'файл_журнала; send_user "фу\Н"; выставляет бар' 
фу
бар
logtest $ кот 
фу
+336
Dimon Buzermann 6 янв. 2019 г., 19:35:53

Нет. Они тщательно проверяют эти сценарии до их роль.

+286
Bobby Neal 27 янв. 2011 г., 09:09:59

У меня на планшете я вставил правильно SIM-карты. Теперь мне нужно знать, что приложение из PlayStore, что даст мне клавиатуру, так что я могу позвонить и принимать звонки. Пожалуйста, помогите. Спасибо, Марси

+132
thetna 3 сент. 2012 г., 06:47:57

Компания HP, как и любой другой OEM, источники их периферии посредством разнообразных источников поставщика. Просто потому, что он имеет тег HP на это не значит, что компания HP сделала это. Если вы ищете поддержка драйверов Linux для дополнительных мультимедийных клавиш, поиск Google по модели # часть # и "Убунту". Есть очень маленький шанс, что HP может иметь Линукс драйвер для него, но я не питаю больших надежд на этот проспект.

+104
omegaSQU4RED 18 авг. 2019 г., 09:55:33

Показать вопросы с тегом